# eric7.MicroPython.EspBackupRestoreFirmwareDialog

Module implementing a dialog to select the ESP chip type and the backup and restore parameters.

### Global Attributes

None

### Classes

EspBackupRestoreFirmwareDialog | Class implementing a dialog to select the ESP chip type and the backup and restore parameters.

### Functions

None

## EspBackupRestoreFirmwareDialog

Class implementing a dialog to select the ESP chip type and the backup and restore parameters.

### Derived from

QDialog, Ui_EspBackupRestoreFirmwareDialog

### Class Attributes

Chips
FlashModes
FlashSizes

### Class Methods

None

### Methods

EspBackupRestoreFirmwareDialog | Constructor
__updateOkButton | Private method to update the state of the OK button.
getData | Public method to get the entered data.
on_espComboBox_currentTextChanged | Private slot to handle the selection of a chip type.
on_firmwarePicker_textChanged | Private slot handling a change of the firmware path.
on_sizeComboBox_currentTextChanged | Private slot handling a change of the selected firmware size.

### Static Methods

None

#### EspBackupRestoreFirmwareDialog (Constructor)

EspBackupRestoreFirmwareDialog(backupMode=True, parent=None)

Constructor

backupMode (bool)
  flag indicating parameters for a firmware backup are requested
parent (QWidget)
  reference to the parent widget

#### EspBackupRestoreFirmwareDialog.__updateOkButton

__updateOkButton()

Private method to update the state of the OK button.

#### EspBackupRestoreFirmwareDialog.getData

getData()

Public method to get the entered data.

Return:
  tuple containing the selected chip type, the firmware size, the baud rate or flashing, the flash mode and the path of the firmware file

Return Type:
  tuple of (str, str, str, str, str)

#### EspBackupRestoreFirmwareDialog.on_espComboBox_currentTextChanged

on_espComboBox_currentTextChanged(chip)

Private slot to handle the selection of a chip type.

chip (str)
  selected chip type

#### EspBackupRestoreFirmwareDialog.on_firmwarePicker_textChanged

on_firmwarePicker_textChanged(firmware)

Private slot handling a change of the firmware path.

firmware (str)
  path to the firmware

#### EspBackupRestoreFirmwareDialog.on_sizeComboBox_currentTextChanged

on_sizeComboBox_currentTextChanged(size)

Private slot handling a change of the selected firmware size.

size (str)
  selected size text

Up